# Retrieve daily traffic billing information for EIP - GetThroughputDailyBillingInfo

## Overview

Retrieve daily traffic billing information for EIP

 > 💡 When EIP uses bandwidth billing, it records the daily traffic as 0.




## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetThroughputDailyBillingInfo`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.genesissai.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **EIPId** | string | Resource ID of EIP |**Yes**|
| **StartTime** | int | Query start time timestamp; StartTime needs to be greater than or equal to the resource creation time |**Yes**|
| **EndTime** | int | End time timestamp query; The query time range supports up to 365 days |**Yes**|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Stats** | array[[*ThroughputDailyBillingInfo*](#throughputdailybillinginfo)] | EIP Traffic Billing Information, see model ThroughputDailyBillingInfo |No|
| **TotalOut** | int | Total Billing Traffic |No|
| **EIPId** | string | Resource ID |No|

#### Data Model


#### ThroughputDailyBillingInfo

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **StartTime** | int | Billing Start Time |No|
| **EndTime** | int | End of Billing Period |No|
| **QuantityOut** | int | Billing traffic, unit 'GB' |No|
| **BillingState** | string | Is it billed, 'Yes' or 'No' |No|

## Example

### Request Example
    
```
https://api.genesissai.com/?Action=GetThroughputDailyBillingInfo
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=AsxKOJdn
&EIPId=OcgPtYAG
&StartTime=6
&EndTime=5
```

### Response Example
    
```json
{
  "Action": "GetThroughputDailyBillingInfoResponse",
  "EIPId": "eJkOUbRj",
  "RetCode": 0,
  "Stats": [
    {
      "BillingState": "syykRjZm",
      "EndTime": 3,
      "QuantityOut": 8,
      "StartTime": 4
    }
  ],
  "TotalOut": 3,
  "TotalOutSize": "QCZguxjs"
}
```





